Intel® FPGA Software Installation & Licensing
Installation and Licensing that’s includes Intel Quartus® Prime software, ModelSim* - Intel FPGA Edition software, Nios® II Embedded Design Suite on Windows or Linux operating systems.

modelsim license

dj-park
New Contributor I
2,005 Views

When I do

vsim

it says

Unable to checkout a license. Make sure your license file environment variable (SALT_LICENSE_SERVER, MGLS_LICENSE_FILE, LM_LICENSE_FILE)
is set correctly and then run 'lmutil lmdiag' to diagnose the problem.
Unable to checkout a license.  Vsim is closing.
** Error: Invalid license environment. Application closing.

 

I installed Quartus Prime Pro 22.2 on Ubuntu 20.04 and am using a floating license.

In Quartus, the products with the license are shown as below.. so I assume that I set the license properly.

Screenshot from 2023-01-31 10-36-52.png

 

Below is the email that we receive for our purchase.

I assume that that the license for the ModelSim should be included

because "ModelSim-Intel ... " is included in the Products?

Screenshot from 2023-01-31 10-37-33.png

 

After few googling, I've found that there are "starter edition" and "regular edition".(https://community.intel.com/t5/Programmable-Devices/Licensing-error-in-simulation-How-can-I-fix-it/m-p/718654)

1) How do I find whether mine is starter edition or regular edition. Can I reinstall starter edition of modelsim along with the currently installed Quartus Prime Pro?

2) How do I find that my license supports ModelSim or not?

 

Thanks in advance.

0 Kudos
1 Solution
dj-park
New Contributor I
1,971 Views

I was able to resolve the issue by following this tutorial (https://www.youtube.com/watch?v=F6FvXga4f1A&ab_channel=ViljamsVidauskis).

I created a fixed license for the Questa-Intel FPGA Starter Edition and attached the path to the

License.dat file to my original LM_LICENSE_FILE.

View solution in original post

0 Kudos
3 Replies
AR_A_Intel
Employee
1,981 Views

Hello

 

Welcome to INTEL forum. Starting with Intel® Quartus® Prime version 21.3, the ModelSim*-Intel® FPGA edition software has been discontinued and replaced by the Questa*-Intel® FPGA Edition software. Could you help run Modelsim with Quartus lower version and let us know how it goes.

For more refer to https://www.intel.com/content/www/us/en/support/programmable/support-resources/design-software/os-support.html?wapkw=operating%20system%20support for Modelsim support in Quartus software.


0 Kudos
dj-park
New Contributor I
1,972 Views

I was able to resolve the issue by following this tutorial (https://www.youtube.com/watch?v=F6FvXga4f1A&ab_channel=ViljamsVidauskis).

I created a fixed license for the Questa-Intel FPGA Starter Edition and attached the path to the

License.dat file to my original LM_LICENSE_FILE.

0 Kudos
AR_A_Intel
Employee
1,919 Views

Thanks for your update, hope all is well. This thread will be transitioned to community support. If you have a new question, feel free to open a new thread to get the support from Intel experts. Otherwise, the community users will continue to help you on this thread. Thank you


0 Kudos
Reply